<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class PageTitleTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('page_title')
            ->label('عنوان صفحه')
            ->sortable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
